[Owasp-pantera] Error in pantera.py?

list at roseslabs.com list at roseslabs.com
Tue Nov 7 14:50:32 EST 2006


Hi Patrick,

great :)

I haven't try python 2.5 yet.. I will do that some time soon..

The NTLM lib that Pantera and many programs uses is becoming old... and I
think is not longer supported (NTLMProxy)

Simon Roses Femerling

> Upgrading to 2.4.4 seems to have addressed the issue.  Everything seems to
> work find after I uncomment that line back out.  I have updated the OSX
> instructions on my blog,  http://www.monkey-house.org/
>
>
>
> Additionally, I attempted to upgrade to python 2.5, but recieved the
> following error messsage:
>
>  /usr/local/bin/python pantera.py
> Traceback (most recent call last):
>   File "pantera.py", line 58, in <module>
>     import ntlm_messages
>   File "ntlm/ntlm_messages.py", line 20, in <module>
>     import ntlm_procs, ntlmutils
>   File "ntlm/ntlm_procs.py", line 21, in <module>
>     import des, md4, ntlmutils
>   File "ntlm/des.py", line 20, in <module>
>     import des_c, ntlmutils
>   File "ntlm/des_c.py", line 22
> SyntaxError: Non-ASCII character '\xd7' in file ntlm/des_c.py on line 22,
> but no encoding declared; see http://www.python.org/peps/pep-0263.html for
> details
>
>
> -Patrick
>
>
>
> On 11/7/06, list at roseslabs.com <list at roseslabs.com> wrote:
>>
>> Patrick,
>>
>> Pantera was develop using python 2.4, so I guess thats the problem...
>>
>> Simon Roses Femerling
>>
>> > From my OSX 10.4.8 (intel) box for what its worth:
>> >
>> > $ uname -a
>> > Darwin mestizo-lap2.local 8.8.1 Darwin Kernel Version 8.8.1: Mon Sep
>> 25
>> > 19:42:00 PDT 2006; root:xnu-792.13.8.obj~1/RELEASE_I386 i386 i386
>> >
>> > $ python -V
>> > Python 2.3.5
>> >
>> > -Patrick
>> >
>> > On 11/6/06, list at roseslabs.com <list at roseslabs.com> wrote:
>> >>
>> >> Hi Terrance
>> >>
>> >> thanks for the detailed email :)
>> >>
>> >> This issue was reported last week on MacOS.
>> >>
>> >> Pantera was develop in WinXP and Fedora Linux and the error never
>> >> pop-up.
>> >>
>> >> I'm currently checking the problem but I dont use MacOS or Oracle
>> >> Enterprise Linux so it may be related to python distro.
>> >>
>> >> What version of python are you using?
>> >>
>> >> That line is a basic python optimization, to improve performance, and
>> >> there are similar optimizations along the code but the issue is just
>> >> that
>> >> particular line.
>> >>
>> >> When I got some free time I will check that piece of code!
>> >>
>> >> Sincerely,
>> >>
>> >> Simon Roses Femerling
>> >>
>> >> >
>> >> > Good afternoon!
>> >> >
>> >> > I am trying to get Pantera running for the first time and have run
>> >> into
>> >> > what appears to be a minor issue.
>> >> >
>> >> > I've installed Pantera on a freshly built Oracle Enterprise Linux
>> >> system
>> >> > (more details below). I think I've installed all of the
>> >> pre-requisites.
>> >> > When I run "python pantera.py" from a terminal session, I get this
>> >> error:
>> >> >
>> >> > Traceback (most recent call last):
>> >> > File "pantera.py", line 63, in ?
>> >> > import panteraLib
>> >> > File "/home/tcrow/pantera/panteraLib.py", line 53, in ?
>> >> > import panterautils
>> >> > File "/home/tcrow/pantera/panterautils.py", line 58, in ?
>> >> > import pantera
>> >> > File "/home/tcrow/pantera/pantera.py", line 64, in ?
>> >> > import panteraUI
>> >> > File "/home/tcrow/pantera/panteraUI.py", line 83, in ?
>> >> > import panteraPlugins
>> >> > File "/home/tcrow/pantera/panteraPlugins.py", line 458
>> >> > remove(c for c in self.plugin_list if c == d)
>> >> >
>> >> > The "carrot" was under the r in for.
>> >> >
>> >> > When I comment out line 458 in panteraPlugins.py, Pantera seems to
>> >> start
>> >> > okay -- though since I don't know Python, I don't know if that
>> line's
>> >> > critical to Pantera's operation.
>> >> >
>> >> > I'm running on Oracle Enterprise Linux (64-bit version) on a Sun
>> Ultra
>> >> 20
>> >> > with a single Operton processor and 4Gb of RAM. The OS is roughly
>> the
>> >> > same
>> >> > as Red Hat Enterprise Linux Version 4 Update 4 Enterprise Server. I
>> >> think
>> >> > I
>> >> > have the pre-requisites installed (like Python, MySQL 5.x, the
>> MySQL
>> >> > wrapper, etc.).
>> >> >
>> >> > Is this a known issue? Is there other diagnostic information I
>> could
>> >> > provide to be helpful?
>> >> >
>> >> > Thank you!
>> >> >
>> >> > Terrance A. Crow
>> >> > AVP Technology
>> >> > Corporate One Federal Credit Union
>> >> > ph: 614/825-9316 | fax: 614.825.9201
>> >> > http://www.corpone.org
>> >> >
>> >>
>> -------------------------------------------------------------------------------------
>> >> >
>> >> > NOTICE:
>> >> > This email message is for the sole use of the intended recipient(s)
>> >> and
>> >> > may contain
>> >> > confidential and privileged information.  Any unauthorized review,
>> >> use,
>> >> > disclosure
>> >> > or distribution is prohibited.  If you are not the intended
>> recipient,
>> >> > please contact
>> >> > the sender by reply email and destroy all copies of the original
>> >> message.
>> >> >
>> >> >
>> >>
>> -------------------------------------------------------------------------------------
>> >> > _______________________________________________
>> >> > Owasp-pantera mailing list
>> >> > Owasp-pantera at lists.owasp.org
>> >> > http://lists.owasp.org/mailman/listinfo/owasp-pantera
>> >> >
>> >>
>> >>
>> >> _______________________________________________
>> >> Owasp-pantera mailing list
>> >> Owasp-pantera at lists.owasp.org
>> >> http://lists.owasp.org/mailman/listinfo/owasp-pantera
>> >>
>> >
>>
>>
>> _______________________________________________
>> Owasp-pantera mailing list
>> Owasp-pantera at lists.owasp.org
>> http://lists.owasp.org/mailman/listinfo/owasp-pantera
>>
>




More information about the Owasp-pantera mailing list